// Copyright (c) 2004, Thomas Lochmatter, thl@lothosoft.ch

#include "EventClock.h"
#define THISCLASS EventClock

THISCLASS::EventClock() {
	Update();
}

void THISCLASS::Update() {
	struct timeval tim;
	gettimeofday(&tim, 0);
	mTime=(tTime)(tim.tv_sec)*1000000+(tTime)(tim.tv_usec);
}

void THISCLASS::Report(const std::string &name, std::ostream &out, int ccindent) const {
	std::string indent(ccindent*2, ' ');
	std::cout << indent << name << " = EventClock " << this << std::endl;
}
