// Copyright (c) 2004, Thomas Lochmatter, thl@lothosoft.ch

#include "MipLogInterface.h"
#define THISCLASS MipLogInterface

THISCLASS::MipLogInterface(MipManager *mipmanager):
		mMipManager(0) {

	if (mipmanager) {
		mipmanager->SetLogInterface(this);
	}
}

std::string THISCLASS::DataToString(unsigned char *data, int len) {
	char *buf=new char(len*3+1);
	char num[17]="0123456789abcdef";
	int w=0;
	for (int i=0; i<len; i++) {
		buf[w++]=num[(data[i] & 0xF0)>>4];
		buf[w++]=num[data[i] & 0x0F];
		buf[w++]=' ';
	}
	buf[w++]=0;
	std::string str(buf);
	delete buf;
	return str;
}
