// Copyright (c) 2004, Thomas Lochmatter, thl@lothosoft.ch

#ifndef classSampleApplication
#define classSampleApplication

#include <mip/MainLoop.h>
#include <mip/MipManager.h>
#include "MyMip.h"

/*!
	Sample application to demonstrate how to use the libmip.
*/
class SampleApplication: public MainLoop {

private:
	//! The Mip manager object.
	MipManager *mMipManager;
	//! The Mip object implemented through MyMip.
	MyMip *mMyMip;

public:
	//! Constructor.
	SampleApplication(int argc, char **argv);
	//! Destructor.
	~SampleApplication();

	// Overwritten MainLoop methods.
	virtual void OnInitialize();
	virtual void OnTerminate();
};

#endif
